diff mbox

[cbuild2,1/3] testsuite/test.sh: Don't use "warning" function before it is sourced.

Message ID 1381512571-13286-2-git-send-email-ryan.arnold@linaro.org
State New
Headers show

Commit Message

Ryan S. Arnold Oct. 11, 2013, 5:29 p.m. UTC
From: "Ryan S. Arnold" <ryan.arnold@linaro.org>

---
 testsuite/test.sh | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)
diff mbox

Patch

diff --git a/testsuite/test.sh b/testsuite/test.sh
index 0e30887..4ba4bc5 100755
--- a/testsuite/test.sh
+++ b/testsuite/test.sh
@@ -8,6 +8,8 @@  else
     topdir=$PWD
 fi
 
+. "${topdir}/lib/common.sh" || exit 1
+
 # load the configure file produced by configure
 if test -e "${PWD}/host.conf"; then
     . "${PWD}/host.conf"
@@ -15,7 +17,6 @@  else
     warning "no host.conf file!"
 fi
 
-. "${topdir}/lib/common.sh" || exit 1
 . "${topdir}/host.conf" || exit 1
 
 # Since we're testing, we don't load the host.conf file, instead